Bug 46301 - CONFIGURATION: Toolbar settings not persistent when switching view modes
Summary: CONFIGURATION: Toolbar settings not persistent when switching view modes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Toolbars
  Show dependency treegraph
 
Reported: 2012-02-19 14:44 UTC by paul
Modified: 2021-10-01 03:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description paul 2012-02-19 14:44:23 UTC
Problem description: 
When switching from fullscreen to regular viewing mode changes to the toolbar do not persist

Steps to reproduce:
1. ....go to fullscreen mode
2. ....right click toolbar and select "customize toolbar"
3. ....set to "icons only" for "full screen" toolbar
4. ....now toolbar should show icons only and no text
5. ....go out of fullscreen mode
6. ....go back into fullscreen mode

Current behavior:
after step 6 the toolbar has gone back to icons+text

Expected behavior:
after step 6 the toolbar should stay as icons only

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_3) AppleWebKit/534.53.11 (KHTML, like Gecko) Version/5.1.3 Safari/534.53.10
Comment 1 sasha.libreoffice 2012-05-21 09:25:38 UTC
Thanks for bugreport
Please, verify if in last version of LibreOffice still reproducible
Comment 2 bfoman (inactive) 2012-07-20 10:01:23 UTC
Checked with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Could not reproduce.

(In reply to comment #0)
> Steps to reproduce:
> 1. ....go to fullscreen mode
> 2. ....right click toolbar and select "customize toolbar"

I do not see any toolbars when switched to fullscreen mode (View>Fullscreen).
Comment 3 sasha.libreoffice 2012-07-20 14:21:29 UTC
Reproduced in 3.3.4, 3.5.5 and 3.6.beta1 on Fedora 64 bit using original description (Windows not tested)

Workaround:
1. Change "Fullscreen" toolbar in Tools->Customize
2. Close Writer
3. Start Writer again
When we press Ctrl-Shift-J, toolbar will looking as needed.

Changing version to 3.3.4 as most early reproduced
Comment 4 A (Andy) 2014-10-11 17:37:23 UTC
Reproducible with LO 4.3.2.2 (Win 8.1)
Comment 5 QA Administrators 2015-10-14 19:57:13 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2016-11-08 11:19:49 UTC Comment hidden (obsolete)
Comment 7 Thomas Lendo 2018-09-30 18:11:33 UTC
Still reproducible.
Changing component from Writer to UI as this also occurs in Calc.

Version: 6.2.0.0.alpha0+
Build-ID: 62cd86977ca41677c56fb2d1f97bb1c5cbdbd416
CPU-Threads: 4; BS: Linux 4.15; UI-Render: Standard; VCL: gtk3; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: threaded
Comment 8 QA Administrators 2019-10-01 03:02:53 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2021-10-01 03:51:20 UTC
Dear paul,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug